package com.shkj.wms.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author lch
 */
@Getter
@AllArgsConstructor
public enum TaskStatusEnum {

    //状态 0 未下发 1 执行中  -1异常 3已取消 2已完成
    /**
     * 未下发
     */
    wait_put("0", "未下发"),

    /**
     * 执行中（1下发成功）
     */
    wait_callback("1", "执行中"),
    /**
     * 完成
     */
    finished("2", "完成"),
    /**
     * 异常
     */
    err("-1", "异常"),

    clean("3","已取消"),
    four_out("4","平库出库查询使用状态")
    ;

    private String value;
    private String desc;

}
